package com.smppw.analysis.infrastructure.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author wangzaijun
 * @date 2023/8/4 17:35
 * @description 一些系统配置，包括所有的服务的可配置的数据
 */
@Configuration
@ConfigurationProperties(prefix = "smppw.data.analysis")
public class AnalysisProperty {
    private String pyUrl = "http://localhost:8088/";
    private String cacheType = "memory";

    public String getPyUrl() {
        return pyUrl;
    }

    public void setPyUrl(String pyUrl) {
        this.pyUrl = pyUrl;
    }

    public String getCacheType() {
        return cacheType;
    }

    public void setCacheType(String cacheType) {
        this.cacheType = cacheType;
    }
}
