package com.smppw.analysis.infrastructure.gatewayimpl;

import com.smppw.analysis.domain.gateway.CacheFactory;
import com.smppw.analysis.domain.gateway.CacheGateway;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;

@Component(CacheFactory.MEMORY)
public class InMemoryCacheGateway implements CacheGateway<Object> {
    @Override
    public Boolean hasKey(String key) {
        return null;
    }

    @Override
    public boolean expire(String key, long ttl, TimeUnit timeUnit) {

        return false;
    }

    @Override
    public boolean set(String key, Object value) {
        return false;
    }

    @Override
    public boolean set(String key, Object value, long ttl, TimeUnit timeUnit) {
        return false;
    }

    @Override
    public Object get(String key) {
        return null;
    }

    @Override
    public void delete(List<String> keys) {

    }

    @Override
    public boolean hset(String key, Map<String, Object> values) {
        return false;
    }

    @Override
    public boolean hset(String key, String item, Object value) {
        return false;
    }

    @Override
    public boolean hset(String key, String item, Object value, long ttl, TimeUnit timeUnit) {
        return false;
    }

    @Override
    public Map<String, Object> hget(String key) {
        return null;
    }

    @Override
    public Object hget(String key, String item) {
        return null;
    }
}
